/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
#ifndef PMPFNT_SEEN
#define PMPFNT_SEEN 1
#define PRIVATE char *
/* $Header:pmp_font.h 12.0$ */
/* $ACIS:pmp_font.h 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/lib/pmp/RCS/pmp_font.h,v $ */

#if !defined(lint) && !defined(LOCORE)  && defined(RCS_HDRS)
static char *rcsidfont = "$Header:pmp_font.h 12.0$";
#endif

	/*\
	|* int		  fnt_init(constraint)
	|* pmp_font	 *fnt_open(name,type)
	|* int		  fnt_close(font)
	|* int		  fnt_addch(font,ch,chr)
	|* pmp_char	 *fnt_char(font,ch)
	|* char		**fnt_get_path()
	|* char		**fnt_set_path(dirs)
	|* int		  fnt_add_dir()
	\*/

/***===================================================================***/

typedef PRIVATE pmp_char;
typedef PRIVATE pmp_font;

/***===================================================================***/

/* pmp_font FORMATS */

#define FNT_ACIS	0x0001
#define FNT_PMP		0x0002

/***===================================================================***/

extern	 int	  	  fnt_init();
extern   pmp_font 	 *fnt_open();
extern   int	   	  fnt_close();
extern   int	  	  fnt_addch();		/* not implemented */
extern   pmp_char	 *fnt_char();
extern   char		**fnt_get_path();
extern   char		**fnt_set_path();
extern   int		  fnt_add_dir();

#endif /* PMPFNT_SEEN */
